Admins - Demande #5403

Migrer hors freenode ?
19/05/2021 16:57 - Quentin Gibeaux

Statut: Fermé Début: 19/05/2021
Priorité: Urgente Echéance:

Assigné a: Frédéric Couchet % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Juin 2021 Temps passé: 0.00 heure
Difficulté: 2 Facile

Description

La confiance dans freenode semble compromise : https:/twitter.com/lllumiReptilien/status/13950279857413693447?s=19
madix | olasd: tu as suivi un peu toi les histoires freenode ?
olasd | un peu
madix | tu y comprends quelque chose ? :)
olasd | oui
olasd | i1 y a 5 ans Christel a incorporé "Freenode Limited" comme une entreprise a responsabili
té limitée
| (https://find-and-update.company-information.service.gov.uk/company/10308021) et y a tra
nsmis la gestion du nom de domaine
| freenode.net. il y a 4 ans Andrew Lee est entré au board; il y a deux mois Christel a dé
missionné; depuis Andrew Lee est seul au board
olasd | a 1'époque christel était "responsable du staff", mais le staff était, et est toujours,
bénévole
olasd | les serveurs sont gérés par le staff sans interaction avec Freenode Limited
olasd | la, Andrew Lee a décidé d'envoyer son armée d'avocats pour obtenir le contrdle des serve
urs et des données du réseau IRC
fredlm | merci olasd
olasd | donc les membres du staff bénévoles ont démissionné, et certains d'entre eux ont fondé u
n nouveau réseau qui s'appelle libera.chat
madix | merci pour ces explications
madix | donc, 1l va vraiment falloir migrer ailleurs ?
madix | QGulLL: par rapport a la question que tu te posais cf ™
olasd | ca dépend si tu fais confiance a Andrew Lee et ses sbires ou pas
QGuLL | et toi, leurs fais-tu confiance ?
QGuLL | mais déja ces manieéres de faire ne donnent pas confiance
madix | moi je fais Jjuste confiance a Luk et ses sbires :)
lonugem | Jj'avoue que « Andrew Lee a décidé d'envoyer son armée d'avocats pour obtenir le contrdl
e des serveurs et des données du réseau IRC »
| , t'as pas envie de lui confier tes clefs
olasd | bah le mec était CTO de MtGox (l'échange bitcoin dont le patron est parti avec des milli
ards de dollars de ses membres, d'ailleurs il
| semblerait qu'il soit sorti de prison)

madix | et encore, juste dans ses romans photos

olasd | 1l a fondé Private Internet Access (un vendeur de fausse sécurité)

13/03/2024 1/13



https://twitter.com/IllumiReptilien/status/1395027985741369344?s=19

olasd | il a fondé handshake qui est un cryptoscam de remplacement décentralisé de la racine dns

Décision a prendre : faut-il migrer ?
Oou?

Demandes liées:
Lié a Admins - Demande #5426: Suivi des cloaks dans libera.chat Fermé 05/06/2021

Historique

#1 - 19/05/2021 17:28 - Frédéric Couchet

Les possibles réseaux sont amha

- libera.chat (pour suivre le staff freenode et la plupart des salons freenode vont sans doute migrer la-bas)
- oftc (Debian y est depuis longtemps)

- geeknode (francophone, on les connait, on a un salon déja la-bas)

#2 - 19/05/2021 17:31 - Frédéric Couchet

J'ai parqué les différents salons que l'on utilise :

- sur irc.oftc.net

- sur irc.libera.chat

- sur irc.geeknode.org

Les salons parqués :

- #april (sur libera.chat oumph avait déja parqué le salon)

- #april-accueil

- #april-chapril

- #april-ee

- #april-gdtc (ex #gdtc)

- #april-admin

- #april-test

Pour le moment j'ai fait un register des salons avec mon nickname :

Sur irc.libera.chat :

/query chanserv

REGISTER #april-admin un_mot_de_passe

SET #april-admin GUARD ON

Le GUARD ON permet d'inviter le robot ChanServ sur le salon, le robot est chargé de « garder » le canal pendant notre absence.
Méme chose sur irc.oftc.net, mais sur ce réseau pas de GUARD ON et je n'ai pas trouvé I'équivalent.
Les infos utiles (mots de passe nickname et salons) sont dans le keepass.

Une fois décidé ou on migre il faudra enregistrer plus proprement les salons #april- (Project registration et Project Channels, voir
https:/libera.chat/chanreg par exemple).

Parquer : se connecter au salon, si on est la premiére personne le salon est créé et on es operator automatiquement tant qu'on reste connecté,
comme une voiture sur une place de parking. Par la suite, il faudra réserver la place de parking auprés des responsables du réseau. J'ai donc
parqué les salons sur les réseaux en attendant de décider ou réserver.

#3 - 19/05/2021 17:52 - Frédéric Couchet

Sur libera.chat j'ai eu un message d'un-e admin disant « We are currently in the process of mitigating channel abuse; network-wide spam bots. In the
meantime, you can set your channels +r (registered users only) or +zq $~a (quiets unregistered users). »
Pour le moment j'ai mis les salon en +r avec la commande :

/mode #april-admin +r

#4 - 20/05/2021 13:25 - Christian P. Momon

- Statut changé de Nouveau a Attente d'information

Penser aussi a #april-test.

#5 - 20/05/2021 13:26 - Christian P. Momon

La version de Andrew Lee : https:/freenode.net/news/freenode-is-foss

#6 - 23/05/2021 15:16 - Cédric Heintz

Un peu de lecture: https:/news.itsfoss.com/freenode-controversy/

#7 - 26/05/2021 02:50 - Christian P. Momon

Pour info, ce mercredi la FSF organise un débat sur le sujet : https://www.fsf.org/events/community-meeting-on-the-future-of-our-irc-presence

#8 - 26/05/2021 21:40 - Quentin Gibeaux
- Version cible changé de Mai 2021 a Juin 2021

#9 - 26/05/2021 22:33 - Quentin Gibeaux

- Assigné a mis a Frédéric Couchet

next action : demander sur #april et collecter les réponses

#10

- 27/05/2021 14:04 - Frédéric Couchet

A traiter en cas de migration :

enregistrer "proprement” les salons - (Project registration et Project Channels, voir https:/libera.chat/chanreq).-> demande acceptée -> fait

faire enregistrer les nicks équipe salariée, bénévoles -> fait

demander éventuellement des cloaks : Cloaks can be requested in #libera-communities. All group contacts should be able to join that channel.
-> Voir le ticket de suivi des cloaks https://agir.april.org/issues/5426

modifier https://webchat.april.org pour utiliser le nouveau réseau -> fait

modifier Hebdobot pour utiliser le nouveau réseau -> fait

modifier Alexandrie pour utiliser le nouveau réseau -> fait

modifier welcomebot pour utiliser le nouveau réseau -> fait

modifier icingabot pour utiliser le nouveau réseau -> fait

modifier agirbot pour utiliser le nouveau réseau -> fait

modifier chagirbot pour utiliser le nouveau réseau -> fait

modifier biboumi (passerelle xmpp <-> irc) pour utiliser le nouveau réseau

pitchum : rien a changer c6té serveur (a priori), par contre c'est aux utilisateurs de modifier leurs marque-pages XMPP, il faudra se connecter a
xmpp:#april-chapril%.irc.libera.chat@irc.chapril.org & la place de #april-chapril%irc.freenode.net@irc.chapril.org

[05/27/21 15:03] <neox> madix: y aura par contre un petit travail de bonne volonté a faire pour prevenir libera.chat (que je ferai) qu'on met une
passerelle -> fait

mettre a jour les docs (doc admin et doc publiques) -> en cours

faire les annonces -> fait

mettre un message d'information et dans le topic sur les salons freenode pour que les personnes nous retrouvent, en mettant un lien vers un

page april.org qui explique comment nous retrouver. Ne pas mettre libera.chat dans le topic au vu des risques de récupération immédiate du
salon par les op de freenode -> fait
e mettre si possible un bot sur les salons freenode pour informer les personnes qui se connectent que les salons ont migré vers libera.chat -> fait

¢ « fermer » les salons freenode de maniére a mettre fin & une présence officielle April sur ce réseau -> salons « fermés » mais toujours
registered

#11 - 27/05/2021 15:44 - Christian P. Momon
Le 27/05/2021 sur Freenode#april :

13:32 < PoluX> cpm_screen: tu as vu https://www.devever.net/~hl/freenode_abuse et https:/www.devever.net/~hl/freenode_abuse2 ?

Extraits :

In response to the “threat” of channels moving to other networks, most of all Liberachat,
in light of recent events, the new custodians of the Freenode infrastructure, seemingly,
developed automated tooling to try and identify any channel trying to move to Liberachat —
specifically, by looking for mentions of Liberachat in channel topics — and automatically
seize them from their owners, in the process also covering up any evidence of any intention
to move on the part of the channel owners.

Certainement un effet de bord du nouveau gérant en panique.

Du coup, « fermer les salons freenode avec un message d'information pour que les personnes nous retrouvent », ¢a risque de ne pas étre possible.
A noter que ce n'est pas un argument pour rester sur Freenode.

#12 - 28/05/2021 02:54 - Christian P. Momon

Une ébauche d'analyse comparative : https:/pad.april.org/p/essai-freenodevslibera
Invitation & enrichir.

Difficile de trouver un candidat parfait :-/

#13 - 28/05/2021 08:38 - Francois Poulain

irc.chapril.org ? :)

#14 - 29/05/2021 14:39 - Frédéric Couchet

Le départ de Freenode pour aller chez Libera.chat est acté.

La mise en ceuvre peut commencer.

#15 - 29/05/2021 16:04 - Frédéric Couchet

J'ai enlevé le mode +r (Prevents users who are not identified to services from joining the channel) et mis les salons en nt :

e n (Users outside the channel may not send messages to it)
¢ t (Only channel operators may set the channel topic)

selon https://freenode.net/kb/answer/channelmodes mais ¢a doit étre la méme chose sur libera.chat

Et cela correspond au mode par défaut des nouveaux salons créés sur libera.chat.
Exemple :

/mode #april -r
/mode #april +nt

#16 - 29/05/2021 16:14 - Francois Poulain
J'ai changé des pages sur drupal et dans le wiki. Il faut voir sur les autres sites qu'on a (candidats, chapril, libre™).
Il faudra aussi pense a mettre a jour les imprimés de I'asso (docs d'accueil des bénévoles, flyers divers).

#17 - 29/05/2021 16:17 - Francois Poulain

La liste des domaines monitorés a passer en revue :

"april.org",
"agendadulibre.be",
"agendadulibre.org",
"aprl.org",
"april.org",
"candidats.be",
"candidats.fr",
"eucd.info",
"expolibre.org",
"flosspact.eu",
"flosspact.org",
"formatsouverts.education",
"fsffrance.org",
"freesoftwarepact.eu",
"freesoftwarepact.org",
"informatiquedeloyale.info",
"libreassociation.info",
"librealire.org",
"libreavous.org",
"libre-en-fete.net",
"libre-en-fete.org",
"libre-et-accessible.org",
"libreexpo.org",
"logiciel-libre.info",
"logiciels-libres.info",
"maisondulibre.org",
"pactelogiciellibre.fr",
"pactelogiciellibre.org",
"prix-logiciel-libre.org",

#18 - 29/05/2021 16:24 - Frédéric Couchet
J'ai mis a jour les topics des salons sur libera.chat en reprenant les topics qui étaient sur freenode.

Pour #april j'ai mis un topic spécifique migration : « La migration vers libera.chat a été actée https://agir.april.org/issues/5403 elle devrait étre
pleinement effective semaine du 31 mai »

#19 - 31/05/2021 07:56 - Frédéric Couchet

Demande a I'équipe salariée d'enregistrer un compte sur libera.chat.

#20 - 31/05/2021 09:09 - Frédéric Couchet

Modification de webchat.april.org (utilisé notamment par https://www.april.org/salon-daccueil-de-lapril et https:/april.org/salon-irc-de-lapril) pour
utiliser libera.chat :

- se connecter sur la VM webchat
- modifier /etc/kiwiirc.json :

= "server": "irc.freenode.net",
+ "server": "irc.libera.chat",

- modifier /etc/webircgateway.conf

—hostname = "irc.freenode.net"
+hostname = "irc.libera.chat"

- redémarrer le service

systemctl restart webircgateway.service

- tester https://webchat.april.orghttps://www.april.org/salon-daccueil-de-laprilhttps://april.org/salon-irc-de-lapril

- Valider les modifications dans /etc

git commit -a

#21 - 31/05/2021 09:31 - Frédéric Couchet

Migration du bot d'accueil welcomebot (pour le salon #april-accueil) :

Sur la VM bots modification de la config, fichier /etc/welcomebot/bot_settings.py :

= server = "irc.freenode.net"
+ server = "irc.libera.chat"
Redémarrage :
systemctl restart welcomebot.service
Tester en se connectant sur #april-acccueil avec un nick temporaire, au bout d'une minute le bot envoie ses messages :

09:26 < bot_d_accueil_ap> Bonjour visitor-test Je suis un robot IRC. Ce salon est tranquille actuellement, je

me permets donc de vous dire bonjour. Je signale a des actifs de 1'April (comme madix, cioccolisa, cpm_screen,
et lonugem) que vous étes la.

09:26 < bot_d_accueil_ap> visitor-test Si personne ne répond d'ici quelques minutes, vous pouvez nous envoyer

un courriel a contact@april.org (vous recevrez une demande de confirmation, merci d'y répondre pour diffuser v
otre message) ou revenir plus tard.

09:26 < bot_d_accueil_ap> visitor-test Vous étes désormais dans ma liste d'identifiants connus. Je ne vous env
erral plus de message.

Validation des modifications dans /etc
git commit -a

#22 - 31/05/2021 14:53 - Frédéric Couchet

Demande d'enregistrement de I'April en tant que project (cf https:/libera.chat/chanreg#how-to-reqgister-as-a-project) envoyée par courriel, apres
discussion IRC avec amdj (I'une des personnes du staf libera.chat).

Le courriel https://pad.april.org/p/emailregistrationliberachat

Le n° de ticket c6té libera.chat : [Libera.Chat #2297].
Enregistrement fait, confirmé par Aaron Jones (amdj).

#23 - 31/05/2021 15:22 - Frédéric Couchet

Préparation d'une page indiquant la migration, pour mettre dans le topic des salons sur Freenode. il ne faut surtout pas mentionner Libera dans le
topic sous peine d'avoir un bot punitif qui fait migrer le salon vers un '##' avec retrait des droits.

Le pad qui sera mis en lien dans le topic des salons, donc destiné exclusivement aux personnes déja présentes sur un de nos salons, donc sans
explication détaillée sur irc ou autre : https://pad.april.org/p/nouveaureseauirc

#24 - 02/06/2021 10:07 - Frédéric Couchet

Migration effective (en cours)

Changement des topics sur les salons sur freenode
Exemple pour le salon #april
/msg chanserv op #april madix

/topic Ce salon n'est plus utilisé, pour savoir ou nous retrouver consulter la page https://pad.april.org/p/no
uveaureseauirc

Puis on envoie un message sur le salon

Message de service : 1'April utilisait principalement depuis

longtemps le réseau Freenode sur lequel pour ses salons IRC. Ce réseau
fait face a de tres gros problemes. Suite a cette situation, il a été
décidé de migrer vers le nouveau réseau créé par l'ancienne équipe de
Freenode : Libera Chat Voir https://pad.april.org/p/nouveaureseauirc

a partir de maintenant, ce salon n'est plus considéré comme un salon

officiel April et jevous invite a migrer vers le salon #april sur
irc.libera.chat

Mise en place de bot sur les salons freenode et prévenir chaque personne qui se connecte
au salon

Exemple avec #april :
Sur la VM bots pour (on duplique welcomebot mais en faisant des modifications pour que le bot utilise le bon fichier de config), dossiers et fichiers :
/srv/liberachatbot-april

/etc/systemd/system/liberachatbot-april.service
Pour démarrer le bot :

systemctl daemon-reload

systemctl restart liberachatbot-april

Si on veut que le bot démarre automatiquement au boot de la machine :

systemctl enable liberachatbot-april

Cela créera un lien symbolique dans /etc/systemd/system/multi-user.target.wants/

Pour adapter pour #april-chapril :

cd /src
cp -r liberachatbot-april liberachatbot-chapril

chown -R welcomebot.welcomebot liberachatbot-chapril

cd liberachatbot-chapril/conf
vi bot_settings.py

-> channel = "#april-chapril"
-> botnick = "bot_serviette_chapril"

cp /etc/systemd/system/liberachatbot-april.service /etc/systemd/system/liberachatbot-chapril.service

systemctl daemon-reload

systemctl restart liberachatbot-chapril

Si besoin de modifier le contenu des messages envoyés par le bot, il faut modifier le fichier bin/welcomebot.py
J'ai mis des bots sur #april #april-accueil #april-chapril et #april-admin

Pour tester, se connecter sur un salon avec un nick temporaire et on recevra un message genre :

<pbot_serviette_ap> Bonjour Je suis un robot IRC.

dire bonjour. Ce salon n'est plus utilisé, pour savoir ou nous
retrouver consulter la page https://pad.april.org/p/nouveaureseauirc

<bot_serviette_ap> Merci a vous. Vous étes désormais dans ma liste
d'identifiants connus. Je ne vous enverrai plus de message.

Modification du webchat
Sur la VM webchat
e modifier /etc/kiwiirc.json pour changer server et port.
e modifier webircgateway.conf pour changer hostname et port
Redémarrer le webchat :
systemctl restart webircgateway.service
Tester :

e https://webchat.april.org

e https://april.org/salon-irc-de-lapril

e https://www.april.org/salon-daccueil-de-lapril
Migrer alexandrie
Sur la VM bots
Modifier /etc/alexandrie/alexandrie.conf pour changer le server
Redémarrer le bot

systemctl restart alexandrie.service

Migrer le bot d'accueil qui est sur #april-accueil (welcomebot)
Sur la VM bots
Modifier /etc/welcomebot/bot_settings.py pour changer le server
Redémarrer le bot

systemctl restart welcomebot.service

Migrer Hebdobot et Hebdobot-test

Pour Hebdobot et Hebdobot-test on a enregistré les nicks sur libera.chat.
Sur irc.libera.chat, se connecter avec le nick Hebdobot

/query nickserv

REGISTER un_mot_de_passe adresse_courriel_hebdobot

Le serveur envoie un courriel permettant de valider I'enregistrement.

Le mot de passe et courriel associés a Hebdobot sont dans le keeepass.
Méme pour chose pour Hebdobot-test.

Sur la VM bots

Modifier /srv/hebdobot/conf/hebdobot.conf pour changer le irc.host et irc.identify.password
Démarrer le bot pour tester

systemctl start hebdobot.service

Stopper le bot aprés le test

systemctl stop hebdobot.service

Méme chose pour Hebdobot-test (/srv/hebdobot-test)

Migrer agirbot

Enregistrement du nick agirbot sur irc.libera.chat :

/nick agirbot

/msg NickServ REGISTER un_mot_de_passe adresse_courriel_hebdobot

Le serveur envoie un courriel permettant de valider I'enregistrement.

Le mot de passe et courriel associés sont mis & jour dans le keeepass. A noter que le courriel associé était admins@, mais I'envoi de messages sur
la cette liste est en privateorpublickey. J'ai donc du valider la réception du courriel. J'ai ajouté le domaine libera.chat dans la liste blanche pour les
envois de courriels vers admins :

cd /etc/sympa/scenari

modification de send.privateorpublickey-admins

git commit -a

En fait agirbot c'est redminebot.

Modification de la configuration de agirbot : sur la VM bots modifier /etc/redminebot/redminebot.conf pour changer irc.server irc.password

Redémarrage du bot.

systemctl restart redminebot.service

Migrer chagirbot

Enregistrement du nick chagirbot sur irc.libera.chat :

/nick chagirbot

/msg NickServ REGISTER un_mot_de_passe adresse_courriel_hebdobot

Le serveur envoie un courriel permettant de valider I'enregistrement. Sur freenode le courriel associé était chagirbot@ qui est un alias vers
admins-auto@. Sauf qu'un courriel de test envoyé a chagirbot@ est revenu en erreur : « Votre message pour la liste 'admins-auto' (ci-joint) a été
rejeté ». J'ai donc ajouté temporairement mon adresse dans l'alias chagirbot, pour cela sur la VM mail du Chapril :
cd /etc/postfix/aliases

ajout de mon adresse

cd ..

make

J'ai validé I'enregistrement de chagirbot, et ensuite j'ai enlevé mon adresse de l'alias chagirbot.

J'ai voulu ajouter le mot de passe du compte dans la base pass (avec un pass add) : « encryption failed: Pas de clef publique » (pourtant j'arrive a
faire un pass show).

Modification de la configuration de chagirbot : sur la VM admin du Chapril modifier /etc/chagirbot/chagirbot.conf pour changer irc.server irc.password
Redémarrage du bot.

systemctl restart chagirbot
Mettre a jour les pages web, documentations
Pages mises a jour :

Sur www.april.org

e https://www.april.org/revues-hebdomadaires-april

¢ https://www.april.org/page-daide-pour-la-moderation-de-la-liste-infos

e https://www.april.org/en/contact-us

Sur wiki.april.org

o https://wiki.april.org/w/AidelRC (en cours d'enrichissement)

e https://wiki.april.org/w/SiteWeb

e https://wiki.april.org/w/Chapril:services:Plan_d%27int%C3%A9gration_d%27un_nouveau_service
Ailleurs

e https://chatons.org/fr/page/chapril

Mettre en ligne et diffuser une annonce publique

L'annonce publique du déménagement : https://www.april.org/l-april-demenage-ses-salons-irc-vers-liberachat

#25 - 02/06/2021 20:00 - Frédéric Couchet

Faire les demandes de cloacks. Fred a demandé a un op (amdj) qui a dit « Cloaks can be requested in #libera-communities. All group contacts
should be able to join that channel. »

Un pad pour lister les demandes de cloaks : https:/pad.april.org/p/demandecloaksliberachat

#26 - 03/06/2021 10:21 - Frédéric Couchet

Préparer une actu d'annonce de la migration : https:/pad.april.org/p/annoncemigrationversliberachat

Actu désormais en ligne : https:/www.april.org/I-april-demenage-ses-salons-irc-vers-liberachat

#27 - 03/06/2021 15:48 - Frédéric Couchet

Tester la procédure de fermeture d'un salon. Pour cela je vais utiliser le salon #april-admin sur Frenode.

Source d'inspiration de la procédure : https:/meta.wikimedia.org/wiki/IRC/Migrating_to_Libera_Chat#Closing_Freenode_channels

1. Vérifier que le salon #april-admin est enregistré et actif sur Libera.Chat
2. Informer les personnes présentes que le salon a été migré sur Libera Chat et qu'il va étre fermé :

<madix> Bonjour, pour rappel nos salons ont migré sur libera.chat, on
ne va pas conserver la présence sur deux réseaux, la fermeture
des salons freenode va étre progressive (a partir
d'aujourd'hui et semaine prochaine), je vais commencer par ce
salon. Je vous invite donc si ce n'est pas déja fait a venir
sur libera.chat
3. Passer op sur le salon
/msg chanserv op #april-admin madix
4. S'assurer que le topic restera méme si le salon est vide
/msg ChanServ SET #april-admin KEEPTOPIC ON
Résultat : ChanServ(ChanServ@services.)- The KEEPTOPIC flag has been set for channel #april-admin.

5. Créer un salon temporaire (commengant par ##) sur lequel les personnes qui essayeront de rejoindre #april-admin seront renvoyées
automatiquement, rejoindre ce salon, et mettre un topic approprié (ce salon permettra de répondre a d'éventuelles questions pendant quelques jours)

/join ##april-admin-moved

/topic Le salon #april-admin n'est plus utilisé, pour savoir ou nous retrouver consulter la page https://pad.
april.org/p/nouveaureseauirc

6. Mettre le salon en mode « invitation uniquement » et activer le transfert automatique de toute connection vers le nouveau salon créé
/msg ChanServ SET #april-admin MLOCK +ifst ##april-admin-moved
Résultat : ChanServ(ChanServ@services.)- The MLOCK for #april-admin has been set to +istf.

7. Tester de rejoindre le salon #april-admin avec un autre nick pour vérifier que cela fonctionne. Pour cela, par exemple utiliser un autre client irc,
avec un nick quelconque et tenter de rejoindre le salon

ok
8. Expulser (kick) les personnes présentes sur #april-admin
Soit de fagon indivuelle :

/kick #april-admin echarp Le salon #april-admin n'est plus utilisé, pour savoir ol nous retrouver consulter la
page https://pad.april.org/p/nouveaureseauirc

Soit de fagon globale (tout le monde sera expulsé sauf soi-méme) :

/msg ChanServ CLEAR #april-admin USERS Le salon #april-admin n'est plus utilisé, pour savoir ou nous retrouver
consulter la page https://pad.april.org/p/nouveaureseauirc

9. Attendre quelques jours ou semaines avant de supprimer le salon. Cela garantira que les personnes qui essayeront de se connecter seront
correctement informées de la migration du salon.

#28 - 03/06/2021 16:06 - Frédéric Couchet

Prévenir les principaux salons sur freenode de la fermeture a venir :
Pour #april :

15:57 < madix> Bonjour
15:58 < madix> Pour rappel les salons de 1'April (dont celui-ci) ont migré sur libera.chat, pour savoir ou ret
rouver les salons

consultez la page https://pad.april.org/p/nouveaureseauirc
15:59 < madix> on ne va pas conserver la présence sur deux réseaux, la fermeture des salons freenode va étre p
rogressive. Nulle

obligation bien sfir, mais si vous souhaitez rester sur le salon #april de 1'April je vous invit
e donc si ce n'est

pas déja fait a venir sur #april sur libera.chat
15:59 < madix> Pour les personnes qui souhaiteraient encore échanger sur un salon freenode, je vous invite éga
lement a vous

organiser pour créer un salon pour vos discussions
16:00 < madix> Ce salon sera fermé d'ici quelques jours (on va laisser un peu de temps)

Pour #april-chapril :

15:51 < madix> Pour rappel les salons de 1'April (dont celui-ci) ont migré sur libera.chat, pour savoir ou ret
rouver les salons

consultez la page https://pad.april.org/p/nouveaureseauirc
15:53 < madix> on ne va pas conserver la présence sur deux réseaux, la fermeture des salons freenode va étre p
rogressive. Je vous

invite donc si ce n'est pas déja fait a venir sur #april-chapril sur libera.chat
15:53 < madix> D'ici quelques jours ce salon sera fermé
#29 - 05/06/2021 14:35 - Francois Poulain

- Lié a Demande #5426: Suivi des cloaks dans libera.chat ajouté

#30 - 07/06/2021 09:08 - Frédéric Couchet

Fermeture des salons sur Freenode, en suivant la procédure décrite précédemment dans ce ticket. Les salons ont été mis en mode « invitation
uniquement » avec activation du transfert automatique de toute connection vers un nouveau salon temporairement créé pour répondre a
d'éventuelles questions.

Les salons restent pour le moment en mode registered (pour en garder le contréle).

#31 - 07/06/2021 15:31 - Frédéric Couchet

Désactiver le démarrage au boot des bots qui étaient sur les salons Freenode :

systemctl disable liberachatbot-accueil

systemctl disable liberachatbot-april

systemctl disable liberachatbot-chapril

systemctl disable liberachatbot-admins

systemctl disable liberachatbot-ee

#32 - 09/06/2021 14:36 - Frédéric Couchet

Penser a désenregistrer les salons sur OFTC.

#33 - 15/06/2021 09:30 - Frédéric Couchet

Visiblement, Freenode a fait du gros ménage, message regu en notification globale :

02:20 -keitwo (~kei@freenode/staff/kei)- [Global Notice 1/3] We are moving past legacy freenode to a new fork.
The new freenode is

launched. You will slowly be disconnected and when you reconnect, you will be on the new freenode. W
e patiently await

to welcome you in freedom's holdout - the freenode.
02:20 -keitwo (~kei@freenode/staff/kei)- [Global Notice 2/3] If you're looking to connect now, you can already
/server

chat.freenode.net 6697 (ssl) or 6667 (plaintext). It's a new genesis for a new era. Thank you for us

ing freenode, and

Hello World, from the future. freenode is IRC. freenode is FOSS. freenode is freedom.
02:20 —-keitwo (~kei@freenode/staff/kei)- [Global Notice 3/3] When you connect, register your nickname and your
channel and get

started. It's a new world. We're so happy to welcome you and the millions of others. We will be post
ing more

information in the coming days on our website and twitter. Otherwise, see you on the other side!

J'ai quitté mon clien irc, je me suis reconnecté, mon nick madix n'est pas enregistré et les salon #april-***** ne le sont plus non plus.
Donc, pas besoin de les fermer, c'est fait :)

#34 - 15/06/2021 09:35 - Frédéric Couchet

Désenregistrer des salons sur OFTC :

/query Chanserv

09:33 <madix> drop #april

09:33 —ChanServ (services@services.oftc.net)—- Channel #april has been dropped.

09:33 <madix> drop #april-admin

09:33 -ChanServ (services@services.oftc.net)- Channel #april-admin has been dropped.
09:34 <madix> drop #april-ee

09:34 —ChanServ (services@services.oftc.net)- Channel #april-ee has been dropped.
09:34 <madix> drop #april-test

09:34 —-ChanServ (services@services.oftc.net)—- Channel #april-test has been dropped.
09:34 <madix> drop #april-accueil

09:34 -ChanServ (services(@services.oftc.net)- Channel #april-accueil has been dropped.
09:34 <madix> drop #april-chapril

09:34 —-ChanServ (services@services.oftc.net)- Channel #april-chapril has been dropped.
09:34 <madix> drop #april-gdtc

09:34 -ChanServ (services@services.oftc.net)—- Channel #april-gdtc has been dropped.
#35 - 17/06/2021 15:42 - Frédéric Couchet
La commande Chanserv entrymsg permet de définir un message qui sera envoyé aux personnes qui entrent sur un salon (le message ne sera pas
affiché sur le salon mais uniquement a la personne). Cela peut étre utile pour mettre un message d'accueil.

J'en ai mis un pour #april et #april-chapril (il y a visiblement une taille limite pour le message, a priori 372 caracteres, aprés quelques tests mais sans
certitude) :

/msg chanserv op #april-chapril madix
/msg chanserv op #april madix
/query chanserv

set #april entrymsg "Bienvenue sur le salon #april de 1'April - Promouvoir et défendre le Logiciel Libre - htt
ps://www.april.org — Ce salon est ouvert a toute personne (membre ou pas de 1'April) - Vous avez des questions
, vous voulez aider ? N'hésitez pas a poster un message.. Pour consulter de 1l'aide et connaitre la liste des sa
lons de 1'April : https://wiki.april.org/w/AideIRC"

set #april-chapril entrymsg "Bienvenue sur le salon #april-chapril de 1'April - Le site https://chapril.org pr
opose des services en ligne libres, éthiques - Ce salon est ouvert a toute personne — N'hésitez pas a poser de
s questions, donner votre avis.. Pour consulter de l'aide et connaitre la liste des salons de 1'April : https:/
/wiki.april.org/w/AideIRC"

/msg chanserv deop #april-chapril madix

/msg chanserv deop #april madix

#36 - 18/06/2021 09:40 - Frédéric Couchet

- Statut changé de Attente d'information a Résolu

Concernant les bots mis en place sur les salons freenonde on les laisse sur la VM bots. Leur démarrage au boot est désactivé.

<madix> QGuLL: cher SM, dans le cadre de la migration vers libera.chat
j'avais mis en place des bots sur les salons freenode qui indiquaient
aux personnes qui se connectaient qu'on avait migré sur

libera.chat. Sur la VM bots ils sont dans /srv dossiers
liberachatbot-accueil liberachatbot-april liberachatbot-admin
liberachatbot-ee liberachatbot-chapril> j'ai désactivé leur demarragé
au boot mais on en fait quoi ? Perso, je les laisserai bien la ou ils
sont méme s'ils ne seront sans doute pas utile avant fort fort
longtemps :)

<madix> j'ai mis un fichier LISEZMOI.txt dans chaque dossier pour
indiquer a quoi les bots servaient

<QGuLL> madix: oui laisser la le bot

#37 - 30/06/2021 21:11 - Quentin Gibeaux

- Statut changé de Résolu a Fermé

#38 - 05/07/2021 15:36 - Frédéric Couchet

Le MeetBot (april-supybot) se connectait toujours sur freenode.
Pour en savoir plus sur MeetBot : https://wiki.debian.org/MeetBot

Sur la VM bots, modification de /srv/supybot/MeetBot.conf pour changer le serveur :

#supybot .networks.freenode.servers: irc.eu.freenode.net:6667
supybot .networks. freenode.servers: irc.libera.chat:6667

Puis /etc/init.d/supybot restart
Sur #april, test de lancement de meeting :

<madix> #startmeeting
<april-supybot> Meeting started Mon Jul 5 15:32:39 2021 Europe/Paris. The chair is
madix. Information about MeetBot at http://wiki.debian.org/MeetBot.

<april-supybot> Useful Commands: #action #agreed #help #info #idea #link #topic.

<madix> #topic C'est un test
[07/05/21 15:33] <madix> #endmeeting

<april-supybot> Meeting ended Mon Jul 5 15:33:02 2021 Europe/Paris. Information about Meet
Bot at
<april-supybot> Minutes: http://bots.april.org/supybot/april/2021/april.2021-07-05-15
.32.html
<april-supybot> Minutes (text): http://bots.april.org/supybot/april/2021/april.2021-07-05-15
.32.txt
<april-supybot> Log:
http://bots.april.org/supybot/april/2021/april.2021-07-05-15.32.1og.html
#april>
